=== debian/changelog ===
libfm-qt (2.2.0-0ubuntu4) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:46:07 +0100

libfm-qt (2.2.0-0ubuntu3) questing; urgency=medium

  * debian/control: Drop for now unnecessary libfm-qt6-16
    Breaks/Replaces on libfm-qt6-15. There are no shared files, and this
    is currently making proposed migration of other lxqt packages more
    difficult.

 -- Rik Mills <rikmills@kde.org>  Sun, 17 Aug 2025 07:36:50 +0100

libfm-qt (2.2.0-0ubuntu2) questing; urgency=medium

  * Update symbols from Questing build logs."

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Aug 2025 22:02:00 +0100

libfm-qt (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
    - Bump soname.
    - Update symbols.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 03 Jul 2025 15:45:39 -0500

libfm-qt (2.1.0-0ubuntu7) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:22:38 -0600

libfm-qt (2.1.0-0ubuntu6) plucky; urgency=medium

  * Add a Provides: libfm-qt6 line, to make it easier to track and use in
    reverse dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 16 Feb 2025 18:59:48 -0600

libfm-qt (2.1.0-0ubuntu5) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Feb 2025 11:33:27 -0600

libfm-qt (2.1.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:53:09 -0600

libfm-qt (2.1.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:32:17 -0600

libfm-qt (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:32:17 -0600

libfm-qt (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Update symbols from amd64 build logs.
  * Add new build dependencies from the CMake output.
  * Make the package Lintian-clean.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:31:59 -0600

libfm-qt (2.0.2-0ubuntu3) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:52:48 +0100
