## libfm-qt 2.2.0+really2.1.0

=== debian/changelog ===
libfm-qt (2.2.0+really2.1.0-1) unstable; urgency=medium

  * Rollback broken version

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 20:14:00 +0800

libfm-qt (2.2.0-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.2.0
  * debian/copyright: update.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 00:08:06 +0800
