## libfm-qt 2.2.0+really2.2.0

=== debian/changelog ===
libfm-qt (2.2.0+really2.2.0-3) unstable; urgency=medium

  * Migrate to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 22 Aug 2025 17:43:54 +0800

libfm-qt (2.2.0+really2.2.0-2) experimental; urgency=medium

  * d/control: Fix Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 21:17:23 +0800

libfm-qt (2.2.0+really2.2.0-1) experimental; urgency=medium

  * Upload 2.2.0 to experimental for transition.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 20:27:28 +0800
