=== debian/control ===
--- 
+++ 
@@ -21,11 +21,11 @@
 Homepage: https://github.com/lxqt/libfm-qt
 Rules-Requires-Root: no
 
-Package: libfm-qt6-15
+Package: libfm-qt6-16
 Provides: libfm-qt
 Conflicts: libfm-qt
-Replaces: libfm-qt6-14
-Breaks: libfm-qt6-14
+Replaces: libfm-qt6-15, libfm-qt6-14
+Breaks: libfm-qt6-15, libfm-qt6-14
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -48,7 +48,7 @@
 Architecture: any
 Section: libdevel
 Depends: libexif-dev,
-         libfm-qt6-15 (= ${binary:Version}),
+         libfm-qt6-16 (= ${binary:Version}),
          libmenu-cache-dev,
          ${misc:Depends}
 Description: file management support library for pcmanfm-qt (development files)
