## libfm-qt 2.3.0

=== debian/changelog ===
libfm-qt (2.3.0-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.
  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Remove unnecessary Rules-Requires-Root: no.
  * d/control: Bump soname and update related config.

  [ Andrew Lee (李健秋) ]
  * Run wrap-and-sort.
  * debian/control: drop libfm-qt6-14 from Replaces and Brakes.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 18 Nov 2025 18:46:29 +0100
