=== debian/control ===
--- 
+++ 
@@ -11,21 +11,20 @@
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
-               lxqt-build-tools (>= 2.2.0~),
-               lxqt-menu-data (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
+               lxqt-menu-data (>= 2.3.0~),
                qt6-base-private-dev (>= 6.7.2),
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
 Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
 Homepage: https://github.com/lxqt/libfm-qt
-Rules-Requires-Root: no
 
-Package: libfm-qt6-16
+Package: libfm-qt6-17
 Provides: libfm-qt
 Conflicts: libfm-qt
-Replaces: libfm-qt6-15, libfm-qt6-14
-Breaks: libfm-qt6-15, libfm-qt6-14
+Replaces: libfm-qt6-15, libfm-qt6-16
+Breaks: ibfm-qt6-15, llibfm-qt6-16
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -48,7 +47,7 @@
 Architecture: any
 Section: libdevel
 Depends: libexif-dev,
-         libfm-qt6-16 (= ${binary:Version}),
+         libfm-qt6-17 (= ${binary:Version}),
          libmenu-cache-dev,
          ${misc:Depends}
 Description: file management support library for pcmanfm-qt (development files)
