=== debian/changelog ===
libfm-qt (2.3.1-3) unstable; urgency=medium

  * debian/control: fix the 2nd typo.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 25 Jan 2026 10:34:48 +0100

libfm-qt (2.3.1-2) unstable; urgency=medium

  [ Joel Orón Valiente ]
  * debian/gbp.conf: Drop compression so salsa CI can build.
  * debian/copyright: Add myself.

  [ Andrew Lee (李健秋) ]
  * debian/control: fix typo.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 15 Jan 2026 10:52:44 +0100

libfm-qt (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 17:59:51 +0800

libfm-qt (2.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Dec 2025 17:10:25 +0800
