=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libexif-dev,
                libkf6windowsystem-dev,
@@ -15,7 +14,7 @@
                lxqt-menu-data (>= 2.3.0~),
                qt6-base-private-dev (>= 6.7.2),
                qt6-tools-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
 Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
 Homepage: https://github.com/lxqt/libfm-qt
@@ -24,7 +23,7 @@
 Provides: libfm-qt
 Conflicts: libfm-qt
 Replaces: libfm-qt6-15, libfm-qt6-16
-Breaks: ibfm-qt6-15, llibfm-qt6-16
+Breaks: libfm-qt6-15, libfm-qt6-16
 Architecture: any
 Multi-Arch: same
 Section: libs
